Subject: __TIMESTAMP__ CPP macro not honoring SOURCE_EPOCH_DATE

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 31 Jan 2022 00:22:19 -0500

Hello,

Maxim Cournoyer <[email-masked]> writes:

> * gnu/packages/electronics.scm (openboardview): New variable.

I've found a source of nondeterminism in the build of openboardview: the
use of the CPP __TIMESTAMP__ macro (info '(cpp) Common Predefined
Macros').  It seems that GCC 10.3.0 still doesn't doesn't honor
SOURCE_EPOCH_DATE for that macro.  A patch was made to correct this, but
it seems it was never applied [0].  I've ping'd in the #gcc channel to
verify.

I haven't seen the patch carried by Debian for their GCC package.

Thanks,

Maxim

[0]  https://gcc.gnu.org/pipermail/gcc-patches/2016-November/461108.html